summaryrefslogtreecommitdiffstats
path: root/deps/polkit-qt-1/polkit-qt-1.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xdeps/polkit-qt-1/polkit-qt-1.SlackBuild (renamed from kde/bluedevil/bluedevil.SlackBuild)64
1 files changed, 40 insertions, 24 deletions
diff --git a/kde/bluedevil/bluedevil.SlackBuild b/deps/polkit-qt-1/polkit-qt-1.SlackBuild
index fe79070..18dd97c 100755
--- a/kde/bluedevil/bluedevil.SlackBuild
+++ b/deps/polkit-qt-1/polkit-qt-1.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/sh
-# Copyright 2011 Eric Hameleers, Eindhoven, NL
-# Copyright 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,20 +20,40 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=bluedevil
+
+PKGNAM=polkit-qt-1
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:--j6}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-# Set the config option variables if they are not already set:
-if [ -r ../KDE.options ]; then
- . ../KDE.options
-fi
-
-# The global options may be overridden here (if needed):
-if [ -r ./local.options ]; then
- . ./local.options
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
# Avoid a version number in .la files:
@@ -43,11 +62,11 @@ if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
fi
rm -rf $PKG
-mkdir -p $PKG/usr
+mkdir -p $TMP $PKG/usr
cd $TMP
-echo "Building $PKGNAM-$VERSION..."
-tar xvf $CWD/../src/extragear/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -64,11 +83,9 @@ cd build
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DMAN_INSTALL_DIR=/usr/man \
- -DSYSCONF_INSTALL_DIR=/etc/kde \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DBUILD_tests:BOOL=OFF \
..
- make $NUMJOBS || exit 1
+ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
@@ -77,16 +94,15 @@ if [ -d $PKG/usr/man ]; then
fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a AUTHORS COPYING* HACKING README $PKG/usr/doc/$PKGNAM-$VERSION || true
+cp -a \
+ COPYING* README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz